dracut/0165-Order-root-fsck-after-pre-mount.patch
Thomas Renninger 89f9350d9e Accepting request 314510 from home:trenn:branches:Base:System
- Fix dmraid issue bnc#905746
A    dracut_dmraid_use_udev.patch
- Taken over from SLE12
A    fips_add_aesni-intel.patch
- Do not touch /run vs /var/run bnc#922676
D    0106-dracut-Enable-converting-of-directory-var-run-var-lo.patch
- Update dracut to version 042
Remove these already included or unneeded patches:
D    dracut_v041_to_HEAD.patch
D    0011-Correct-paths-for-openSUSE.patch
D    0068-95fcoe-uefi-Test-for-EFI-firmware.patch
D    0170-enable-logitech-hidpp.patch
Adjust/refresh:
M    0015-40network-replace-dhclient-with-wickedd-dhcp-supplic.patch
M    0016-Add-new-s390x-specific-rule-files.patch
M    0017-45ifcfg-use-distro-specific-scripts.patch
M    0019-40network-Fix-race-condition-when-wait-for-networks.patch
M    0020-00warpclock-Set-correct-timezone.patch
M    0021-95dcssblk-Add-new-module-for-DCSS-block-devices.patch
M    0048-40network-Only-enable-network-interfaces-if-explicit.patch
M    0053-01fips-fixup-loading-issues.patch
M    0056-81cio_ignore-handle-cio_ignore-commandline.patch
M    0057-01fips-Include-some-more-hmacs.patch
M    0058-dracut-add-warning-when-including-unsupported-module.patch
M    0059-99suse-Add-SUSE-specific-initrd-parsing.patch
M    0060-45ifcfg-Add-SUSE-specific-write-ifcfg-file.patch
M    0061-45ifcfg-Fixup-error-message-in-write-ifcfg-suse.patch
M    0066-40network-always-start-netroot-in-ifup.sh.patch
M    0075-95dasd_rules-enable-parsing-of-rd.dasd-commandline-p.patch
M    0076-Correctly-set-cio_ignore-for-dynamic-s390-rules.patch

OBS-URL: https://build.opensuse.org/request/show/314510
OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=219
2015-06-30 12:59:59 +00:00

40 lines
1.4 KiB
Diff

From: Andrei Borzenkov <arvidjaar@gmail.com>
Subject: ensure pre-mount (and resume) run before root fsck
References: bnc#906592
Index: dracut-042/modules.d/98dracut-systemd/rootfs-generator.sh
===================================================================
--- dracut-042.orig/modules.d/98dracut-systemd/rootfs-generator.sh 2015-06-11 17:39:47.000000000 +0200
+++ dracut-042/modules.d/98dracut-systemd/rootfs-generator.sh 2015-06-24 18:02:34.526804656 +0200
@@ -65,6 +65,23 @@ generator_mount_rootfs()
fi
}
+generator_fsck_after_pre_mount()
+{
+ local _name
+
+ [ -z "$1" ] && return 0
+
+ _name=$(dev_unit_name "$1")
+ [ -d /run/systemd/generator/systemd-fsck@${_name}.service.d ] || mkdir -p /run/systemd/generator/systemd-fsck@${_name}.service.d
+ if ! [ -f /run/systemd/generator/systemd-fsck@${_name}.service.d/after-pre-mount.conf ]; then
+ {
+ echo "[Unit]"
+ echo "After=dracut-pre-mount.service"
+ } > /run/systemd/generator/systemd-fsck@${_name}.service.d/after-pre-mount.conf
+ fi
+
+}
+
root=$(getarg root=)
case "$root" in
block:LABEL=*|LABEL=*)
@@ -95,6 +112,7 @@ GENERATOR_DIR="$1"
if [ "${root%%:*}" = "block" ]; then
generator_wait_for_dev "${root#block:}" "$RDRETRY"
+ generator_fsck_after_pre_mount "${root#block:}"
strstr "$(cat /proc/cmdline)" 'root=' || generator_mount_rootfs "${root#block:}" "$(getarg rootfstype=)" "$(getarg rootflags=)"
fi